Get configured devices
Description
Get list of devices configured for a given domain. The returned list is paginated meaning it may not contain all configured devices for the domain. If additional devices exist, the HTTP link header will contain a next link for getting the next page of devices. If devices exists previous to the returned list, the HTTP link header will contain a prev link for getting the previous page of devices.
Request
GET /v1/domains/:domain/configured-devices
Response
Successful response contains the following JSON formated body:
{
devices: {
deviceId: string,
batchId: number,
preSharedKey: string,
tags?:{
[key: string]: string
},
created: string
}[]
}
Response Status codes:
- 200 on success
Request headers
This request must have the following headers:
Authorization: bearer <ApiKey>X-Nabto-Organization: <organizationId>
Request Query Parameters
This request supports the following query parameters:
limitThe pagination page size (max: 10000, default: 500)deviceIdFilteris a partial device ID for searching (default: “”)batchIdis a batch ID of devices to get (default: all batches)
Example
Request
curl "https://api.cloud.nabto.com/v1/domains/:domain/configured-devices" \
-H "Authorization: Bearer <ApiKey>" \
-H "X-Nabto-Organization: <OrganizationId>"
Response
{
"devices": [{
"deviceId": "a.mydomain.example.net",
"batchId": 42,
"preSharedKey": "01010101010101010101010101010101",
"tags":{
"foo": "bar"
},
"created": "2022-10-18T10:17:24.299Z"
},
...],
}